//
//  embedHTMLViewController.m
//  embedHTML
//
//  Created by Neelam Roy on 8/3/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "embedHTMLViewController.h"

@implementation embedHTMLViewController
@synthesize webview;

- (void)viewDidLoad
{
	NSString *path = [[NSBundle mainBundle] pathForResource:@"corejava" ofType:@"html"];
	NSFileHandle *readHandle = [NSFileHandle fileHandleForReadingAtPath:path];
	
	NSString *htmlString = [[NSString alloc] initWithData: 
							[readHandle readDataToEndOfFile] encoding:NSUTF8StringEncoding];
	
	webview.opaque = NO;
	webview.backgroundColor = [UIColor purpleColor];
	[self.webview loadHTMLString:htmlString baseURL:nil];
	[htmlString release];
	
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
